Bug 599646

Summary: cobbler import broken
Product: [Fedora] Fedora Reporter: Matt Hirsch <matthew.hirsch>
Component: cobblerAssignee: John Eckersberg <jeckersb>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: awood, dgoodwin, jeckersb, shenson, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 09:05:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matt Hirsch 2010-06-03 13:06:22 EDT
Description of problem:
Cobbler import does not seem to work as described here:

http://docs.fedoraproject.org/en-US/Fedora/13/html/Installation_Guide/ap-install-server.html

Version-Release number of selected component (if applicable):
cobbler-2.0.3.1-3.fc12.noarch
cobbler-web-2.0.3.1-3.fc12.noarch

How reproducible:
always

Steps to Reproduce:
1. # mount -o loop,ro Fedora-13-i686-Live.iso /mnt/dvd
2. # cobbler import --path="/mnt/dvd" --arch=i386 --name=fedora13

or

1. # cobbler import --path="http://mirrors.kernel.org/fedora/releases/13/Fedora/i386/os" --name=fedora13

Actual results:
# mount -o loop,ro Fedora-13-i686-Live.iso /mnt/dvd
# cobbler import --path="/mnt/dvd" --arch=i386 --name=fedora13task started: 2010-06-01_235629_import
task started (id=Media import, time=Tue Jun  1 23:56:29 2010)
running: rsync -a  '/mnt/dvd/' /var/www/cobbler/ks_mirror/fedora13-i386 --exclude-from=/etc/cobbler/rsync.exclude --progress

...


total size is 723460680  speedup is 1.00
returned: 0
adding distros
scanning /var/www/cobbler/ks_mirror/fedora13-i386/EFI/boot for distro signature
scanning /var/www/cobbler/ks_mirror/fedora13-i386/EFI for distro signature
scanning /var/www/cobbler/ks_mirror/fedora13-i386 for distro signature
Exception occured: <class 'cobbler.cexceptions.CX'>
Exception value: 'No distro signature for kernel at /var/www/cobbler/ks_mirror'
Exception Info:
  File "/usr/lib/python2.6/site-packages/cobbler/utils.py", line 122, in die
    raise CX(msg)

Exception occured: <class 'cobbler.cexceptions.CX'>
Exception value: 'No distro signature for kernel at /var/www/cobbler/ks_mirror'
Exception Info:
  File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 95, in run
    rc = self._run(self)
   File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 224, in runner
    self.logger
   File "/usr/lib/python2.6/site-packages/cobbler/api.py", line 657, in import_tree
    return importer.run()
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 215, in run
    os.path.walk(self.path, self.distro_adder, distros_added)
   File "/usr/lib64/python2.6/posixpath.py", line 232, in walk
    walk(name, func, arg)
   File "/usr/lib64/python2.6/posixpath.py", line 232, in walk
    walk(name, func, arg)
   File "/usr/lib64/python2.6/posixpath.py", line 224, in walk
    func(arg, top, names)
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 554, in distro_adder
    adtls.append(self.add_entry(dirname,kernel,initrd))
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 580, in add_entry
    importer = import_factory(dirname,self.path,self.breed,self.logger)
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 847, in import_factory
    breed , rootdir, pkgdir = guess_breed(kerneldir,path,cli_breed,logger)
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 823, in guess_breed
    utils.die(logger, "No distro signature for kernel at %s" % kerneldir )
   File "/usr/lib/python2.6/site-packages/cobbler/utils.py", line 130, in die
    raise CX(msg)

!!! TASK FAILED !!!


or

# cobbler import --path="http://mirrors.kernel.org/fedora/releases/13/Fedora/i386/os" --name=fedora13
task started: 2010-06-02_002309_import
task started (id=Media import, time=Wed Jun  2 00:23:09 2010)
Exception occured: <class 'cobbler.cexceptions.CX'>
Exception value: 'unsupported protocol'
Exception Info:
  File "/usr/lib/python2.6/site-packages/cobbler/utils.py", line 122, in die
    raise CX(msg)

Exception occured: <class 'cobbler.cexceptions.CX'>
Exception value: 'unsupported protocol'
Exception Info:
  File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 95, in run
    rc = self._run(self)
   File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 224, in runner
    self.logger
   File "/usr/lib/python2.6/site-packages/cobbler/api.py", line 657, in import_tree
    return importer.run()
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 164, in run
    utils.die(self.logger,"unsupported protocol")
   File "/usr/lib/python2.6/site-packages/cobbler/utils.py", line 130, in die
    raise CX(msg)

!!! TASK FAILED !!!

Expected results:
As described in the docs.

Additional info:
I have selinux disabled.
tftp-server-0.49-5.fc12.x86_64
xinetd-2.3.14-30.fc12.x86_64
httpd-2.2.15-1.fc12.2.x86_64
dhcp-4.1.1-16.fc12.x86_64

I was able to get a working PXE boot by the method I describe in the third post here:

http://forums.fedoraforum.org/showthread.php?p=1367027#post1367027
Comment 1 Bug Zapper 2010-11-03 09:39:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:05:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.